<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>angular-frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">angular-frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li
  >
  MHeaderComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>projects/projects-app-ang/src/app/components/main/m-header/m-header.component.ts</code>
</p>




    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover metadata">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-m-header</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./m-header.component.css</code></td>
            </tr>


            <tr>
                <td class="col-md-3">template</td>
                <td class="col-md-9"><pre class="line-numbers"><code class="language-html">
&lt;nb-layout-header fixed&gt;
  &lt;nb-user [name]&#x3D;&quot;user?.name&quot; [picture]&#x3D;&quot;user?.picture&quot;&gt;&lt;/nb-user&gt;
&lt;/nb-layout-header&gt;
</code></pre></td>
            </tr>

            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./m-header.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#translate" >translate</a>
                            </li>
                            <li>
                                <a href="#user" >user</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ngOnInit" >ngOnInit</a>
                            </li>
                            <li>
                                <a href="#toggle" >toggle</a>
                            </li>
                            <li>
                                <a href="#translateLanguageTo" >translateLanguageTo</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(authService: NbAuthService, translate: TranslateService, sidebarService: NbSidebarService)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">projects/projects-app-ang/src/app/components/main/m-header/m-header.component.ts:21</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>authService</td>
                                                  
                                                        <td>
                                                                    <code>NbAuthService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>translate</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>sidebarService</td>
                                                  
                                                        <td>
                                                                    <code>NbSidebarService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <span ><b>ngOnInit</b></span>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="55"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/main/m-header/m-header.component.ts:55</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="toggle"></a>
                    <span class="name">
                        <span ><b>toggle</b></span>
                        <a href="#toggle"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>toggle()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="58"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/main/m-header/m-header.component.ts:58</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="translateLanguageTo"></a>
                    <span class="name">
                        <span ><b>translateLanguageTo</b></span>
                        <a href="#translateLanguageTo"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>translateLanguageTo(lang: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="51"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/main/m-header/m-header.component.ts:51</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>lang</td>
                                    <td>
                                                <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
    <h3 id="inputs">
        Properties
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="translate"></a>
                    <span class="name">
                            <span class="modifier">Public</span>
                        <span ><b>translate</b></span>
                        <a href="#translate"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>TranslateService</code>

                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="29" class="link-to-prism">projects/projects-app-ang/src/app/components/main/m-header/m-header.component.ts:29</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="user"></a>
                    <span class="name">
                        <span ><b>user</b></span>
                        <a href="#user"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/object" target="_blank" >object</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>{}</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">projects/projects-app-ang/src/app/components/main/m-header/m-header.component.ts:21</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;
import { TranslateService } from &#x27;@ngx-translate/core&#x27;;
import { NbSidebarService } from &#x27;@nebular/theme&#x27;;

import { NbAuthJWTToken, NbAuthService } from &#x27;@nebular/auth&#x27;;

@Component({
  selector: &#x27;app-m-header&#x27;,
  templateUrl: &#x27;./m-header.component.html&#x27;,
  styleUrls: [&#x27;./m-header.component.css&#x27;],
  template: &#x60;
  
    &lt;nb-layout-header fixed&gt;
      &lt;nb-user [name]&#x3D;&quot;user?.name&quot; [picture]&#x3D;&quot;user?.picture&quot;&gt;&lt;/nb-user&gt;
    &lt;/nb-layout-header&gt;
  &#x60;

})
export class MHeaderComponent implements OnInit {

  user &#x3D; {};

  

  constructor(
    
    private authService: NbAuthService,

    public translate: TranslateService,
    private sidebarService: NbSidebarService
    )
    
    
    {
     // Register translation languages
     translate.addLangs([&#x27;🇬🇧&#x27;, &#x27;🇩🇪&#x27;]);
     // Set default language
     translate.setDefaultLang(&#x27;🇬🇧&#x27;);

     this.authService.onTokenChange()
      .subscribe((token: any) &#x3D;&gt; {
      
        if (token.isValid()) {
          this.user &#x3D; token.getPayload(); // here we receive a payload from the token and assigns it to our &#x60;user&#x60; variable 
        }
        
      });
   }
 
   //Switch language
   translateLanguageTo(lang: string) {
     this.translate.use(lang);
   }

   ngOnInit(): void {
    }

    toggle() {
      this.sidebarService.toggle(false, &#x27;left&#x27;);
    }
}


/*
@Component({
  selector: &#x27;app-root&#x27;,
  templateUrl: &#x27;./app.component.html&#x27;,
  styleUrls: [&#x27;./app.component.css&#x27;]
})
export class AppComponent {
  title &#x3D; &#x27;ProjectsAppAng&#x27;;

  constructor(
    public translate: TranslateService
  ){
    // Register translation languages
    translate.addLangs([&#x27;🇬🇧&#x27;, &#x27;🇩🇪&#x27;]);
    // Set default language
    translate.setDefaultLang(&#x27;🇬🇧&#x27;);
  } 

  //Switch language
  translateLanguageTo(lang: string) {
    this.translate.use(lang);
  }

}
*/</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;nb-actions size&#x3D;&quot;medium&quot; class&#x3D;&quot;actions-container&quot;&gt;
	&lt;!--Compontent Styles overwrite nb-action style. Delete component styles to get rid of this problem.--&gt;
	&lt;nb-action icon&#x3D;&quot;menu-outline&quot; (click)&#x3D;&quot;toggle()&quot;&gt;
		&lt;!--&lt;button nbButton status&#x3D;&quot;info&quot; size&#x3D;&quot;tiny&quot; (click)&#x3D;&quot;toggle()&quot;&gt;Toggle Compact&lt;/button&gt;--&gt;
	&lt;/nb-action&gt;
	
	&lt;nb-action&gt;
		&lt;!-- Jarves Home--&gt;
		&lt;app-c-home&gt;&lt;/app-c-home&gt;
	&lt;/nb-action&gt;
	
	&lt;nb-action class&#x3D;&quot;&quot;&gt;
		&lt;app-c-account&gt;&lt;/app-c-account&gt;
	&lt;/nb-action&gt;
	
	&lt;nb-action class&#x3D;&quot;&quot;&gt;
		&lt;app-c-exit&gt;&lt;/app-c-exit&gt;
	&lt;/nb-action&gt;
	&lt;nb-action&gt;
		&lt;app-c-language&gt;&lt;/app-c-language&gt;
	&lt;/nb-action&gt;
	  &lt;nb-action class&#x3D;&quot;frank&quot;&gt;
		&lt;!-- NFDI4Ing Logo--&gt;
		&lt;a href&#x3D;&quot;https://nfdi4ing.de/de/archetypes/frank/&quot;&gt;
		  &lt;img src&#x3D;&quot;../assets/images/Frank_Icon.png&quot; alt&#x3D;&quot;Frank Logo&quot; style&#x3D;&quot;height: 3rem; width: auto;&quot;/&gt;
		&lt;/a&gt;
	  &lt;/nb-action&gt;
	  &lt;nb-action class&#x3D;&quot;logo&quot;&gt;
		&lt;!-- NFDI4Ing Logo--&gt;
		&lt;a href&#x3D;&quot;https://nfdi4ing.de/&quot;&gt;
		  &lt;img src&#x3D;&quot;https://blog.rwth-aachen.de/forschungsdaten/files/2019/08/nfdi4ing_logo.png&quot; alt&#x3D;&quot;nfdi4ing&quot; style&#x3D;&quot;height: 3rem; width: auto&quot;&gt;
		&lt;/a&gt;
	  &lt;/nb-action&gt;
	&lt;/nb-actions&gt;
	
	&lt;style&gt;
	  .actions-container {
		justify-content: space-between;
	  }
   
	  .logo {
		position: fixed;
		top: 4;
		right: 0;
		margin-left: 100%;
		padding-right: 1rem; 
	  }
	  .frank{
		position: fixed;
		top: 4;
		margin-left: 87%;
		padding-right: 1rem; 
	  }
	&lt;/style&gt;
	
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./m-header.component.css</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">/*.languageSelect {
position: absolute;
top: 70px;
left: 1860px;
}

.nfdiLogo {
position: absolute;
top: 70px;
left: 30px;
}

.positionMyResearchProjectWithFDM {
    position: absolute;
    top: 15px;
    left: 280px;
}

.positionFFFLogo {
    position: absolute;
    top: 15px;
    left: 600px;
}
*/</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><nb-layout-header fixed>  <nb-user [name]="user?.name" [picture]="user?.picture"></nb-user></nb-layout-header></div>'
    var COMPONENTS = [{'name': 'AddProjectComponent', 'selector': 'app-add-project'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'AuthComponent', 'selector': 'app-auth'},{'name': 'CAbschlussComponent', 'selector': 'app-c-abschluss'},{'name': 'CAccountComponent', 'selector': 'app-c-account'},{'name': 'CAnalyseComponent', 'selector': 'app-c-analyse'},{'name': 'CArchivierungComponent', 'selector': 'app-c-archivierung'},{'name': 'CBarComponent', 'selector': 'app-c-bar'},{'name': 'CDurchfuehrungComponent', 'selector': 'app-c-durchfuehrung'},{'name': 'CErhebungComponent', 'selector': 'app-c-erhebung'},{'name': 'CExitComponent', 'selector': 'app-c-exit'},{'name': 'CHomeComponent', 'selector': 'app-c-home'},{'name': 'CLandingComponent', 'selector': 'app-c-landing'},{'name': 'CLanguageComponent', 'selector': 'app-c-language'},{'name': 'CNachzutzungComponent', 'selector': 'app-c-nachzutzung'},{'name': 'CPlanungComponent', 'selector': 'app-c-planung'},{'name': 'CProjectsTableComponent', 'selector': 'app-c-projects-table'},{'name': 'CVorbereitungComponent', 'selector': 'app-c-vorbereitung'},{'name': 'CZugangComponent', 'selector': 'app-c-zugang'},{'name': 'LandingComponent', 'selector': 'app-landing'},{'name': 'LogoutComponent', 'selector': 'app-logout'},{'name': 'MainComponent', 'selector': 'app-main'},{'name': 'MessagesComponent', 'selector': 'app-messages'},{'name': 'MHeaderComponent', 'selector': 'app-m-header'},{'name': 'MyProjectComponent', 'selector': 'app-my-project'},{'name': 'NgxLoginComponent', 'selector': 'ngx-login'},{'name': 'ProjectDetailsComponent', 'selector': 'app-project-details'},{'name': 'ProjectsListComponent', 'selector': 'app-projects-list'},{'name': 'ProjectsMaterialTableComponent', 'selector': 'app-projects-material-table'},{'name': 'RegisterComponent', 'selector': 'app-register'},{'name': 'RequestPasswordComponent', 'selector': 'app-request-password'},{'name': 'ResetPasswordComponent', 'selector': 'app-reset-password'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'MHeaderComponent'};
</script>
<script src="../js/tree.js"></script>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'MHeaderComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
